/* 扩展字段内容
 * @Author: Li Hanlin
 * @Date: 2022-11-29 14:03:07
 * @Last Modified by: Li Hanlin
 * @Last Modified time: 2022-11-29 16:28:29
 */

import { doFetch } from '@/utils/doFetch';
import { useRequest } from 'ahooks';
import { useState, useEffect } from 'react';
import InitForm from '../InitForm';

export default ({ formId }) => {
  const [columns, setcolumns] = useState([]);
  const selectValueType = (type, options) => {
    switch (type) {
      case 1:
        return {
          valueType: 'input',
        };
      case 2:
        return {
          valueType: 'select',
          options,
        };
      case 3:
        return {
          valueType: 'radio',
          options,
        };
      case 4:
        return {
          valueType: 'select',
          options,
        };
      default:
        break;
    }
  };

  useEffect(() => {
    const fn = async () => {
      let res = await doFetch({
        url: '/base/paFormField/queryList',
        params: {
          formId,
        },
      });
      if (res?.data?.dataList) {
        let column = [];
        res?.data?.dataList?.forEach((el) => {
          column.push({
            ...selectValueType(el.fieldChar, el.valueType),
            title: el.fieldName,
            dataIndex: 'title',
            key: el.id,
          });
        });
        console.log('11111', column);
        setcolumns(column);
      }
    };
    fn();
  }, []);

  return (
    <>
      <InitForm fields={columns} />
    </>
  );
};
